訂單 · 請求標頭與回應標頭
只檢查存取權限和下載回應標頭,不下載檔案內容。所需權限與 GET 相同。
HEAD
/api/v1/orders/{order_id}/files/{order_file_id}/contentcURL 請求
: "${SHOPENTLY_SHOP_URL:?}"
curl --disable --globoff --fail-with-body --silent --show-error \
--proto '=https' --connect-timeout 5 --max-time 300 \
--head \
--header "Authorization: Bearer ${SHOPENTLY_ACCESS_TOKEN:?}" \
--url "${SHOPENTLY_SHOP_URL%/}"'/api/v1/orders/example/files/00000000-0000-4000-8000-000000000001/content?category=digital'
回應
HTTP/1.1 200
所需權限
特定欄位所需的附加權限
category=internal: 下載訂單檔案 · 內部檔案orders.order_file:read_internalcategory=customer_document: 下載訂單檔案 · 客戶文件orders.order_file:read_customer_documentcategory=digital: 下載訂單檔案 · 數位商品orders.order_file:read_digital